Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.kie.services.impl.form.model
Class FormRepresentation

    java.lang.Object
      org.jbpm.kie.services.impl.form.model.FormRepresentation

All Implemented Interfaces:
  Serializable, Mappable

    public class FormRepresentation

extends Object
implements Mappable

See Also:
  Serialized Form

Constructor Summary
`FormRepresentation()`

Method Summary
`void` | `addFormItem(FormItemRepresentation formItem)`
`void` | `addFormValidation(FBValidation formValidation)`
`boolean` | `equals(Object obj)`
`String` | `getAction()`
`Map<String,Object>` | `getDataMap()`
`String` | `getDocumentation()`
`String` | `getEnctype()`
`List<FormItemRepresentation>` | `getFormItems()`
`List<FBValidation>` | `getFormValidations()`
`Map<String,InputData>` | `getInputs()`
`long` | `getLastModified()`
`String` | `getMethod()`
`String` | `getName()`
`List<ScriptRepresentation>` | `getOnLoadScripts()`
`List<ScriptRepresentation>` | `getOnSubmitScripts()`
`Map<String,OutputData>` | `getOutputs()`
`String` | `getProcessName()`
`String` | `getTaskId()`
`int` | `hashCode()`
`boolean` | `isSaved()`
`void` | `populate(String name, String taskId, String processName, String action, String method, String enctype, String documentation)`
`void` | `setAction(String action)`
`void` | `setDataMap(Map<String,Object> dataMap)`
`void` | `setDocumentation(String documentation)`
`void` | `setEnctype(String enctype)`
`void` | `setFormItems(List<FormItemRepresentation> formItems)`
`void` | `setFormValidations(List<FBValidation> formValidations)`
`void` | `setInputs(Map<String,InputData> inputs)`
`void` | `setLastModified(long lastModified)`
`void` | `setMethod(String method)`
`void` | `setName(String name)`
`void` | `setOnLoadScripts(List<ScriptRepresentation> onLoadScripts)`
`void` | `setOnSubmitScripts(List<ScriptRepresentation> onSubmitScripts)`
`void` | `setOutputs(Map<String,OutputData> outputs)`
`void` | `setProcessName(String processName)`
`void` | `setSaved(boolean saved)`
`void` | `setTaskId(String taskId)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FormRepresentation

    public FormRepresentation()

Method Detail

### getName

    public String getName()

### setName

    public void setName(String name)

### getTaskId

    public String getTaskId()

### setTaskId

    public void setTaskId(String taskId)

### getProcessName

    public String getProcessName()

### setProcessName

    public void setProcessName(String processName)

### getFormValidations

    public List<FBValidation> getFormValidations()

### setFormValidations

    public void setFormValidations(List<FBValidation> formValidations)

### addFormValidation

    public void addFormValidation(FBValidation formValidation)

### getInputs

    public Map<String,InputData> getInputs()

### setInputs

    public void setInputs(Map<String,InputData> inputs)

### getAction

    public String getAction()

### setAction

    public void setAction(String action)

### getMethod

    public String getMethod()

### setMethod

    public void setMethod(String method)

### getEnctype

    public String getEnctype()

### setEnctype

    public void setEnctype(String enctype)

### getOutputs

    public Map<String,OutputData> getOutputs()

### setOutputs

    public void setOutputs(Map<String,OutputData> outputs)

### getFormItems

    public List<FormItemRepresentation> getFormItems()

### setFormItems

    public void setFormItems(List<FormItemRepresentation> formItems)

### addFormItem

    public void addFormItem(FormItemRepresentation formItem)

### getOnLoadScripts

    public List<ScriptRepresentation> getOnLoadScripts()

### setOnLoadScripts

    public void setOnLoadScripts(List<ScriptRepresentation> onLoadScripts)

### getOnSubmitScripts

    public List<ScriptRepresentation> getOnSubmitScripts()

### setOnSubmitScripts

    public void setOnSubmitScripts(List<ScriptRepresentation> onSubmitScripts)

### setLastModified

    public void setLastModified(long lastModified)

### getLastModified

    public long getLastModified()

### setDocumentation

    public void setDocumentation(String documentation)

### getDocumentation

    public String getDocumentation()

### isSaved

    public boolean isSaved()

### setSaved

    public void setSaved(boolean saved)

### populate

    public void populate(String name,
                         String taskId,
                         String processName,
                         String action,
                         String method,
                         String enctype,
                         String documentation)

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### getDataMap

    public Map<String,Object> getDataMap()

  Specified by:
    `getDataMap` in interface `Mappable`

### setDataMap

    public void setDataMap(Map<String,Object> dataMap)
                    throws FormEncodingException

  Specified by:
    `setDataMap` in interface `Mappable`
  Throws:
    `FormEncodingException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.